summaryrefslogtreecommitdiff
path: root/tests/mkdir
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mkdir')
-rwxr-xr-xtests/mkdir/concurrent-16
-rwxr-xr-xtests/mkdir/p-14
-rwxr-xr-xtests/mkdir/p-24
-rwxr-xr-xtests/mkdir/p-316
-rwxr-xr-xtests/mkdir/p-slashdot4
-rwxr-xr-xtests/mkdir/p-thru-slink4
-rwxr-xr-xtests/mkdir/p-v2
-rwxr-xr-xtests/mkdir/parents6
-rwxr-xr-xtests/mkdir/perm4
-rwxr-xr-xtests/mkdir/t-slash4
10 files changed, 27 insertions, 27 deletions
diff --git a/tests/mkdir/concurrent-1 b/tests/mkdir/concurrent-1
index ff7e96946..790e4ed7a 100755
--- a/tests/mkdir/concurrent-1
+++ b/tests/mkdir/concurrent-1
@@ -1,7 +1,7 @@
#!/bin/sh
# Test whether "mkdir -p" works concurrently.
-# Copyright (C) 1999, 2000, 2002 Free Software Foundation, Inc.
+# Copyright (C) 1999, 2000, 2002, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -29,10 +29,10 @@ fi
pwd=`pwd`
tmp=`echo "$0"|sed 's,.*/,,'`.tmp
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
-mkdir --parents $pwd/$tmp/a/b/c || fail=1
+mkdir --parents "$pwd"/$tmp/a/b/c || fail=1
test -d $tmp || fail=1
diff --git a/tests/mkdir/p-1 b/tests/mkdir/p-1
index 5b9eb5b31..001b8b74c 100755
--- a/tests/mkdir/p-1
+++ b/tests/mkdir/p-1
@@ -25,10 +25,10 @@ fi
pwd=`pwd`
tmp=`echo "$0"|sed 's,.*/,,'`.tmp
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
-mkdir --parents $pwd/$tmp || fail=1
+mkdir --parents "$pwd"/$tmp || fail=1
test -d $tmp || fail=1
diff --git a/tests/mkdir/p-2 b/tests/mkdir/p-2
index 38f238072..53ad876e2 100755
--- a/tests/mkdir/p-2
+++ b/tests/mkdir/p-2
@@ -1,7 +1,7 @@
#!/bin/sh
# Just like p-1, but with an absolute path.
-# Copyright (C) 1997, 2000, 2002 Free Software Foundation, Inc.
+# Copyright (C) 1997, 2000, 2002, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,7 +25,7 @@ fi
pwd=`pwd`
tmp=`echo "$0"|sed 's,.*/,,'`.tmp
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
mkdir --parents $tmp || fail=1
diff --git a/tests/mkdir/p-3 b/tests/mkdir/p-3
index 59bf33781..d9e49d5dc 100755
--- a/tests/mkdir/p-3
+++ b/tests/mkdir/p-3
@@ -29,7 +29,7 @@ PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
@@ -45,20 +45,20 @@ if test $framework_failure = 1; then
fi
p=$pwd/$tmp
-(cd no-access && chmod 0 . && mkdir -p $p/a/b u/v) 2> /dev/null && fail=1
-test -d $p/a/b || fail=1
+(cd no-access && chmod 0 . && mkdir -p "$p"/a/b u/v) 2> /dev/null && fail=1
+test -d "$p"/a/b || fail=1
# Same as above, but with a following *absolute* name, it should succeed
-(cd no-acce2s && chmod 0 . && mkdir -p $p/b/b $p/z) || fail=1
-test -d $p/b/b && test -d $p/z || fail=1
+(cd no-acce2s && chmod 0 . && mkdir -p "$p"/b/b "$p"/z) || fail=1
+test -d "$p"/b/b && test -d "$p"/z || fail=1
# Same as above, but a trailing relative name in an unreadable directory
# whose parent is inaccessible. coreutils 5.97 fails this test.
-(cd no-acce3s/d && chmod a-rx .. && chmod a-r . && mkdir -p a/b $p/b/c d/e &&
+(cd no-acce3s/d && chmod a-rx .. && chmod a-r . && mkdir -p a/b "$p"/b/c d/e &&
test -d a/b && test -d d/e) || fail=1
-test -d $p/b/c || fail=1
+test -d "$p"/b/c || fail=1
-b=`ls $p/a|tr -d '\n'`
+b=`ls "$p"/a|tr -d '\n'`
# With coreutils-5.3.0, this would fail with $b=bu.
test "x$b" = xb || fail=1
diff --git a/tests/mkdir/p-slashdot b/tests/mkdir/p-slashdot
index db750f655..5a3561d60 100755
--- a/tests/mkdir/p-slashdot
+++ b/tests/mkdir/p-slashdot
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure that mkdir -p works with arguments specified with a trailing "/.".
-# Copyright (C) 2005 Free Software Foundation, Inc.
+# Copyright (C) 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,7 +25,7 @@ fi
pwd=`pwd`
tmp=`echo "$0"|sed 's,.*/,,'`.tmp
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
diff --git a/tests/mkdir/p-thru-slink b/tests/mkdir/p-thru-slink
index 26c3d7625..f44be660d 100755
--- a/tests/mkdir/p-thru-slink
+++ b/tests/mkdir/p-thru-slink
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure that mkdir -p foo/bar works when foo is a symbolic link to a directory
-# Copyright (C) 2005 Free Software Foundation, Inc.
+# Copyright (C) 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,7 +25,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
diff --git a/tests/mkdir/p-v b/tests/mkdir/p-v
index c80e0acda..267542353 100755
--- a/tests/mkdir/p-v
+++ b/tests/mkdir/p-v
@@ -33,7 +33,7 @@ export LANG
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
diff --git a/tests/mkdir/parents b/tests/mkdir/parents
index 0bb98ccd0..477ac5937 100755
--- a/tests/mkdir/parents
+++ b/tests/mkdir/parents
@@ -1,7 +1,7 @@
#!/bin/sh
# make sure mkdir's -p options works properly
-# Copyright (C) 2000, 2004 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,7 +25,7 @@ fi
pwd=`pwd`
tmp=parents-$$
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
@@ -34,7 +34,7 @@ framework_failure=0
cd $srcdir || framework_failure=1
abs_srcdir=`pwd`
-cd $pwd || framework_failure=1
+cd "$pwd" || framework_failure=1
mkdir $tmp || framework_failure=1
cd $tmp || framework_failure=1
mkdir -m 700 e-dir || framework_failure=1
diff --git a/tests/mkdir/perm b/tests/mkdir/perm
index 842c881a5..8fdf4b616 100755
--- a/tests/mkdir/perm
+++ b/tests/mkdir/perm
@@ -27,7 +27,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
@@ -35,7 +35,7 @@ framework_failure=0
# Record absolute path of srcdir and cd back to current dir.
cd $srcdir || framework_failure=1
abs_srcdir=`pwd`
-cd $pwd || framework_failure=1
+cd "$pwd" || framework_failure=1
mkdir -p $tmp || framework_failure=1
cd $tmp || framework_failure=1
diff --git a/tests/mkdir/t-slash b/tests/mkdir/t-slash
index de0f17f0c..e002ab21f 100755
--- a/tests/mkdir/t-slash
+++ b/tests/mkdir/t-slash
@@ -2,7 +2,7 @@
# Ensure that mkdir works with arguments specified with and without
# a trailing slash.
-# Copyright (C) 2000, 2004 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -26,7 +26,7 @@ fi
pwd=`pwd`
tmp=t-slash.$$
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0